from pandac.PandaModules import loadPrcFileData

loadPrcFileData('', 'threading-model Cull/Draw')
loadPrcFileData('', 'show-frame-rate-meter 1')

# Windows / Rendering
loadPrcFileData('', 'sync-video 1')
loadPrcFileData('', 'win-size 800 600')
loadPrcFileData('', 'fullscreen 0')

# AA
loadPrcFileData("","framebuffer-multisample 1")
loadPrcFileData("","framebuffer-object-multisample 1")
loadPrcFileData("","multisamples 16")

# Audio
loadPrcFileData('', 'audio-library-name p3openal_audio')

# Textures
loadPrcFileData('', 'textures-power-2 0' )

# Bullet
loadPrcFileData('', 'bullet-filter-algorithm groups-mask' )
loadPrcFileData('', 'bullet-enable-contact-events true')

import direct.directbase.DirectStart
from direct.filter.CommonFilters import CommonFilters
from source import game

def main(self = ''):

  render.setShaderAuto()
  base.setBackgroundColor(0, 0, 0)
  base.disableMouse()
  base.enableParticles()
  # run the game
  g = game.App()

  run()

# Guard
if __name__ == '__main__':  
  main()